$color-black: black;
$color-dark:rgb(36, 36, 36);
$color-light: #f2f2f2;
$color-primary: #9356DC;
$color-secondary: #FF79DA;
$color-tertiary: #99E2D0;
$color-trans:rgba(0, 0, 0, 0);
$color-gradient:linear-gradient(0deg, #9356DC, #FF79DA);


$font-title : 'Shrikhand',
cursive;
$font-text : 'Roboto',
sans-serif;

/*classes générales*/

$flex:("row":"row", "column":"column");
$justify:("between":"between", "around":"around", "center":"center");

@each $key,
$value in $flex {
    .flex-#{$key} {
        display: flex;
        flex-direction: #{$value};
    }
}

@each $key,
$value in $justify {
    @if ($key=="center") {
        .justify-#{$key} {
            display: flex;
            justify-content:#{$value};
        }
    }

    @else {
        .justify-#{$key} {
            display: flex;
            justify-content: space-#{$value};
        }
    }
}

/*animation page menu*/

$card-pop:(1:"7", 2:"13", 3:"19", 4:"25", 5:"31", 6:"37", 7:"43", 8:"49", 9:"55", 10:"61");

@each $key,
$value in $card-pop {
    .card__#{$key} {
        animation: anim_restaurant 450ms #{$value}0ms both;
    }
}


/*animation loader cookie à modifier*/
$cookie-loader:(1:500ms, 2:995ms, 3:1490ms, 4:1985ms, 5:2480ms);

@each $key,
$value in $cookie-loader {

    .loader__cookie--#{$key} {
        background-image: url(/openclassrooms/williambianco_3_06052021/images/logo/ohmyfood--#{$key}.png);
        background-repeat: no-repeat;
        width: 395px;
        height: 100px;
        position: absolute;
        animation: cookie-loader 500ms #{$value} forwards;
        opacity: 0;
    }
}



